# FTXUI: NodeDecorator Class Reference

Loading...
Searching...
No Matches
NodeDecorator Class Reference

`#include <node_decorator.hpp>`

Inheritance diagram for NodeDecorator:
[legend]

## Public Member Functions

| NodeDecorator (Element child)
void | ComputeRequirement () override
| Compute how much space an element needs.
void | SetBox (Box box) override
| Assign a position and a dimension to an element for drawing.
Requirement | requirement ()
virtual void | Select (Selection &selection)
| Compute the selection of an element.
virtual void | Render (Screen &screen)
| Display an element on a ftxui::Screen.
virtual std::string | GetSelectedContent (Selection &selection)
virtual void | Check (Status *status)

## Protected Attributes

Elements | children_
Requirement | requirement_
Box | box_

## Detailed Description

Definition at line 16 of file node_decorator.hpp.

## Constructor & Destructor Documentation

## NodeDecorator()

NodeDecorator | ( | Element | child | ) |

inlineexplicit

Definition at line 18 of file node_decorator.hpp.

## Member Function Documentation

## ComputeRequirement()

void ComputeRequirement | ( |  | ) |

overridevirtual

Compute how much space an element needs.

Reimplemented from Node.

Definition at line 12 of file node_decorator.cpp.

## SetBox()

void SetBox | ( | Box | box | ) |

overridevirtual

Assign a position and a dimension to an element for drawing.

Reimplemented from Node.

Definition at line 17 of file node_decorator.cpp.

## requirement()

Requirement requirement | ( |  | ) |

inlineinherited

Definition at line 52 of file node.hpp.

## Select()

void Select | ( | Selection & | selection | ) |

virtualinherited

Compute the selection of an element.

Definition at line 46 of file node.cpp.

## Render()

void Render | ( | Screen & | screen | ) |

virtualinherited

Display an element on a ftxui::Screen.

Definition at line 59 of file node.cpp.

## GetSelectedContent()

std::string GetSelectedContent | ( | Selection & | selection | ) |

virtualinherited

Definition at line 72 of file node.cpp.

## Check()

void Check | ( | Status * | status | ) |

virtualinherited

Definition at line 65 of file node.cpp.

## Member Data Documentation

## children_

Elements children_

protectedinherited

Definition at line 79 of file node.hpp.

## requirement_

Requirement requirement_

protectedinherited

Definition at line 80 of file node.hpp.

## box_

Box box_

protectedinherited

Definition at line 81 of file node.hpp.

The documentation for this class was generated from the following files:

- node_decorator.hpp
- node_decorator.cpp